var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useMemo } from 'react';
import { Combobox as EvergreenCombobox, FormField } from 'evergreen-ui';
import useFieldApi from '@data-driven-forms/react-form-renderer/use-field-api';
var ComboBox = function (props) {
    var _a = useFieldApi(props), id = _a.id, input = _a.input, meta = _a.meta, isDisabled = _a.isDisabled, options = _a.options, isRequired = _a.isRequired, label = _a.label, description = _a.description, inputProps = _a.inputProps, rest = __rest(_a, ["id", "input", "meta", "isDisabled", "options", "isRequired", "label", "description", "inputProps"]);
    var selectedItem = useMemo(function () {
        var _a;
        return (_a = options.find(function (item) { return item.value === input.value; })) !== null && _a !== void 0 ? _a : null;
    }, [input.value, options]);
    return (React.createElement(FormField, { labelFor: id, label: label, description: description, isRequired: isRequired, validationMessage: meta.error, marginBottom: 24 },
        React.createElement(EvergreenCombobox, __assign({ id: id, width: "100%", selectedItem: selectedItem, onChange: function (item) { return input.onChange(item === null || item === void 0 ? void 0 : item.value); }, disabled: isDisabled, items: options, itemToString: function (item) { return (item ? item.label : ''); }, inputProps: __assign({ required: isRequired, isInvalid: Boolean(meta.error) }, inputProps) }, rest))));
};
export default ComboBox;
//# sourceMappingURL=combo-box.js.map